/*========================================================================================================
 * RobotMap.h
 *========================================================================================================
 *
 * File Description:
 *
 * The RobotMap defines the identifiers (e.g. what is the CAN ID of a particular Talon) for the
 * various motor controllers, sensors, etc.  It provides a constant that defines how the robot
 * is wired, so that if wiring changes, the constants in this file can be updated without impacting
 * the rest of the code.
 *========================================================================================================
 *  Modifications:
 *  Date            Name            Description of Change
 *  18-Oct-2016     Joe Witcpalek   Created File
 *========================================================================================================*/

#ifndef SRC_ROBOTMAP_H_
#define SRC_ROBOTMAP_H_


#define RUN_SOFTWARE_BOT
//#define RUN_COMPETITION_BOT

	const int SOFTWARE_BOT = 3025;
	const int COMPETITION_BOT = 302;

	
#ifdef RUN_SOFTWARE_BOT
	const int ROBOT_CONFIGURATION = 3025;
#include <SoftwareTestBotMap.h>
#endif
#ifdef RUN_COMPETITION_BOT
	const int ROBOT_CONFIGURATION	= 302;
#include <CompetitionBotMap.h>
#endif



#endif /* SRC_ROBOTMAP_H_ */
